import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ScrollAnimation from './directives/scrollanimation'

Vue.directive('scrollanimation', ScrollAnimation);

import SmoothScrollbar from 'vue-smooth-scrollbar'
Vue.use(SmoothScrollbar)

Vue.config.productionTip = false

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')

window.addEventListener('load', function() {
    var element = document.getElementById("app");
    element.classList.add("show");

    var element2 = document.querySelector(".preloader");
    element2.remove();
})